PUT
/
v2
/
groups
/
selection
Enable or disable future ingest for multiple WhatsApp groups
curl --request PUT \
  --url https://api-v2.watchcollect.com/v2/groups/selection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "group_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "enabled": true
}
'
{
  "status": "accepted",
  "event_ids": [
    "018f06e2-4f8d-7c01-8a0d-cc6fd78f7002"
  ],
  "request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
group_ids
string<uuid>[]
required
Required array length: 1 - 200 elements
enabled
boolean
required

Response

Bulk selection command accepted or no-op.

status
enum<string>
required
Available options:
accepted,
duplicate_accepted,
rejected,
conflict,
noop
event_ids
string<uuid>[]
required
request_id
string
required
resource_id
string | null